## tdb 1.1.5

=== Makefile ===
#!gmake
#
# Makefile for tdb directory
#

CC = gcc
prefix = /usr/local
exec_prefix = ${prefix}
bindir = ${exec_prefix}/bin
includedir = ${prefix}/include
libdir = ${exec_prefix}/lib
VPATH = ./../replace
srcdir = .
builddir = .
sharedbuilddir = ./sharedbuild
INSTALLCMD = /usr/bin/install -c
CPPFLAGS =  -I$(srcdir)/include -Iinclude 
CFLAGS = $(CPPFLAGS)  -I./../replace
LDFLAGS = 
EXEEXT = 
SHLD = gcc
SHLD_FLAGS = -shared -Wl,-Bsymbolic 
PACKAGE_VERSION = 1.1.5
PICFLAG = -fPIC
SHLIBEXT = so
PYTHON = /usr/bin/python2.5
PYTHON_CONFIG = /usr/bin/python2.5-config
PYTHON_BUILD_TARGET = build-python
PYTHON_INSTALL_TARGET = install-python
PYTHON_CHECK_TARGET = check-python
LIB_PATH_VAR = LD_LIBRARY_PATH
tdbdir = .

TDB_OBJ = common/tdb.o common/dump.o common/transaction.o common/error.o common/traverse.o common/freelist.o common/freelistcheck.o common/io.o common/lock.o common/open.o replace.o snprintf.o getpass.o

SONAMEFLAG = -Wl,-soname=
VERSIONSCRIPT = -Wl,--version-script
EXPORTSFILE = tdb.exports

default: all

include $(tdbdir)/tdb.mk
include $(tdbdir)/rules.mk

all:: showflags dirs $(PROGS) $(TDB_SOLIB) libtdb.a $(PYTHON_BUILD_TARGET)

install:: all
$(TDB_SOLIB): $(TDB_OBJ)
	$(SHLD) $(SHLD_FLAGS) -o $@ $(TDB_OBJ) $(VERSIONSCRIPT) $(EXPORTSFILE) $(SONAMEFLAG)$(TDB_SONAME)

shared-build: all
	${INSTALLCMD} -d $(sharedbuilddir)/lib
	${INSTALLCMD} -m 644 libtdb.a $(sharedbuilddir)/lib
	${INSTALLCMD} -m 755 $(TDB_SOLIB) $(sharedbuilddir)/lib
	ln -sf $(TDB_SOLIB) $(sharedbuilddir)/lib/$(TDB_SONAME)
	ln -sf $(TDB_SOLIB) $(sharedbuilddir)/lib/libtdb.so
	${INSTALLCMD} -d $(sharedbuilddir)/include
	${INSTALLCMD} -m 644 $(srcdir)/include/tdb.h $(sharedbuilddir)/include

check: test

test:: $(PYTHON_CHECK_TARGET)
installcheck:: test install

clean::
	rm -f *.o *.a */*.o
	rm -fr abi

distclean:: clean
	rm -f config.log config.status include/config.h config.cache
	rm -f Makefile

realdistclean:: distclean
	rm -f configure include/config.h.in

## tdb 1.2.9

=== debian/changelog ===
tdb (1.2.9-4~bpo60+1) squeeze-backports; urgency=low

  * Squeeze backport
  * Drop some multiarch-related changes in *.install files and lower
    debhelper dependency to 8

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Feb 2012 18:49:54 +0100

tdb (1.2.9-4) unstable; urgency=low

  * Explicitly use dh_python2.
  * Use system Python. Closes: #577435

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 25 Sep 2011 19:13:08 +0200

tdb (1.2.9-3) unstable; urgency=low

  * Upload to unstable.
  * Use new style debhelper.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 28 Jul 2011 16:30:26 +0200

tdb (1.2.9-2) experimental; urgency=low

  * Add python-tdb-dbg and libtdb1-dbg packages.
  * Bump standards version to 3.9.2.
  * Use --disable-rpath-install only, simplifies testsuite running.
  * Switch from dh_pycentral to dh_python2. Closes: #617120
  * Drop transitional package tdb-dev.
  * Add support for multiarch to libtdb1.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 26 Jul 2011 20:36:40 +0200

tdb (1.2.9-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 23 Jan 2011 22:23:33 -0800

tdb (1.2.8-1) unstable; urgency=low

  * New upstream release.
   + Introduces symbol versioning.
  * Switch to python-support.
  * Run testsuite during build.
  * Link with --as-needed.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 21 Dec 2010 19:30:08 +0100

tdb (1.2.7+git20101021-1) unstable; urgency=low

  * New upstream snapshot.
   + Removes use of _PUBLIC_ from tdb.h. Closes: #600898

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 21 Oct 2010 16:38:46 +0200

tdb (1.2.7-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 04 Oct 2010 21:55:48 +0200

tdb (1.2.3~git20100819-1) experimental; urgency=low

  * New upstream snapshot.
  * Bump standards version to 3.9.1 (no changes).
  * Switch to bzr.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 22 Aug 2010 14:21:07 +0200

tdb (1.2.2~git20100507-1) experimental; urgency=low

  * New upstream snapshot.
  * Build with standard system python. Closes: #577435
  * Remove `tdb_transaction_recover` symbol which was also removed upstream. 
    This symbol was never intended to be public and would have been hard to 
    use anyway.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 13 May 2010 18:42:16 +0200

tdb (1.2.1-2) unstable; urgency=low

  * Add missing build dependency on xsltproc, docbook-xsl. Closes:
    #570950

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 22 Feb 2010 14:28:59 +0100

tdb (1.2.1-1) unstable; urgency=low

  * New upstream release.
   + Adds manual pages for tdb-tools. Closes: #557819
  * Use source format 3.
  * Bump standards version to 3.8.4.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 22 Feb 2010 03:24:06 +0100

tdb (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Rename tdb-dev -> libtdb-dev.
  * Bump standards version to 3.8.3.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 07 Dec 2009 22:18:51 +0100

tdb (1.1.5-2) unstable; urgency=low

  * Provide a symbols file.
  * Provide deprecated replacement of public tdb_logging_function symbol 
    removed upstream without soname bump. Closes: #511011
  * Fix use of --as-needed.
  * Bump standards version to 3.8.2.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 18 Jul 2009 12:15:43 +0200

tdb (1.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 17 Jun 2009 16:57:30 +0200

tdb (1.1.4~git20090604-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 05 Jun 2009 00:54:27 +0200

tdb (1.1.3-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.8.1.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 16 May 2009 03:39:51 +0200

tdb (1.1.3~git20090221-1) unstable; urgency=low

  * New upstream snapshot.
  * Upload to unstable.
  * Link with --as-needed.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 21 Feb 2009 17:27:45 +0100

tdb (1.1.3~git20081222-2) experimental; urgency=low

  * Switch to python-central.
  * Add dummy watchfile explaining how to obtain an upstream tarball.
  * Fix version number. (Closes: #510885)
  * Bump shlibs because of newly added tdb_repack() symbol. (Closes: #510886)
  * Remove use of absolute paths per policy §6.1. (Closes: #510944)

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 25 Jan 2009 00:13:16 +0100

tdb (1.1.2~git20081222-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 22 Dec 2008 23:59:23 +0100

tdb (1.1.2~git20080615-1) unstable; urgency=low

  * New upstream snapshot.
  * Bump standards version to 3.8.0.

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 16 Jun 2008 00:41:17 +0200

tdb (1.1.2~git20080521-1) unstable; urgency=low

  * New upstream snapshot.
  * Fix soname symlink. (Closes: #482008, Closes: #482228)

 -- Jelmer Vernooij <jelmer@samba.org>  Wed, 21 May 2008 17:41:28 +0200

tdb (1.1.2~git20080520-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 20 May 2008 01:52:37 +0200

tdb (1.1.1~svn26294-2) unstable; urgency=low

  * Add patch to clear spinlocks if set and opening a TDB in write mode. 
    (Closes: #425716)
  * Change tdb-dev section to libdevel.

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 25 Mar 2008 21:43:50 +0100

tdb (1.1.1~svn26294-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * 10_include_signalh.diff (Closes: #460302).
    + Include signal.h in tdb.h.
  * Re-add manpages. (Closes: #439809).
    + Fix manpage sections.
    + Escape hyphens as minus signs.
  * Fix return value in tdb_delete.3. (Closes: #385389).
  * Add ${shlibs:Depends} on python-tdb package.

 -- Barry deFreese <bddebian@comcast.net>  Sat, 08 Mar 2008 22:34:03 -0500

tdb (1.1.1~svn26294-1) unstable; urgency=low

  * New upstream snapshot.
  * Set Vcs-Svn field.
  * Support building twice in a row. (Closes: #442743)


=== debian/control ===
Source: tdb
Section: devel
Priority: optional
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>= 8),
               docbook-xml,
               docbook-xsl,
               python-all-dbg (>= 2.6.6-3),
               python-all-dev (>= 2.6.6-3),
               xsltproc
Homepage: http://tdb.samba.org/
Standards-Version: 3.9.2
Vcs-Bzr: http://bzr.debian.org/pkg-samba/tdb/unstable

Package: libtdb1
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Trivial Database - shared library
 This is a simple database API. It is modelled after the structure
 of GDBM. TDB features, unlike GDBM, multiple writers support with
 appropriate locking and transactions.
 .
 This package contains the shared library file.

Package: tdb-tools
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Trivial Database - bundled binaries
 This is a simple database API. It is modelled after the structure
 of GDBM. TDB features, unlike GDBM, multiple writers support with
 appropriate locking and transactions.
 .
 This package contains bundled test and utility binaries

Package: libtdb-dev
Provides: tdb-dev
Replaces: tdb-dev (<< 1.2.0-1)
Conflicts: tdb-dev (<< 1.2.0-1)
Section: libdevel
Architecture: any
Depends: libc6-dev, libtdb1 (= ${binary:Version}), ${misc:Depends}
Description: Trivial Database - development files
 This is a simple database API. It is modelled after the structure
 of GDBM. TDB features, unlike GDBM, multiple writers support with
 appropriate locking and transactions.
 .
 This package contains the development files.

Package: libtdb1-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libtdb1 (= ${binary:Version}), ${misc:Depends}
Recommends: libc6-dbg
Description: Trivial Database - debug symbols
 This is a simple database API. It is modelled after the structure
 of GDBM. TDB features, unlike GDBM, multiple writers support with
 appropriate locking and transactions.
 .
 This package contains the debug symbols.

Package: python-tdb
Section: python
Architecture: any
Depends: libtdb1 (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: ${python:Provides}
Description: Python bindings for TDB
 This is a simple database API. It is modelled after the structure
 of GDBM. TDB features, unlike GDBM, multiple writers support with
 appropriate locking and transactions.
 .
 This package contains the Python bindings.

Package: python-tdb-dbg
Section: debug
Architecture: any
Priority: extra
Depends: python-tdb (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: python-dbg, libtdb1-dbg
Provides: ${python:Provides}
Description: Python bindings for TDB - debug extension
 This is a simple database API. It is modelled after the structure
 of GDBM. TDB features, unlike GDBM, multiple writers support with
 appropriate locking and transactions.
 .
 This package contains the Python debug extension.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -g -Wall
SHLD_FLAGS = -shared -Wl,--as-needed

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

LDFLAGS += -Wl,--as-needed

DESTDIR=$(CURDIR)/debian/tmp
export PYTHON="$(shell which `pyversions -d`)"
export PYTHON_CONFIG=$(PYTHON)-config

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $* --with python2

override_dh_auto_configure:
	PYTHON="$(PYTHON)" PYTHON_CONFIG="$(PYTHON_CONFIG)" CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --disable-rpath-install --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

get-orig-source:
	./debian/build-orig.sh

override_dh_python2:
	dh_python2 --no-guessing-versions

override_dh_auto_build:
	$(MAKE) all SHLD_FLAGS="$(SHLD_FLAGS)"

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) check
endif

override_dh_auto_clean:
clean:
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf build
	rm -f buildtools/wafsamba/*.pyc
	rm -rf buildtools/bin/.waf*

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(DESTDIR)
	# Waf should be doing this..
	ar cr libtdb.a bin/default/common/*.o
	cp libtdb.a $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)
	mv $(DESTDIR)/usr/bin/tdbbackup \
		$(DESTDIR)/usr/bin/tdbbackup.tdbtools
	mv $(DESTDIR)//usr/share/man/man8/tdbbackup.8 \
		$(DESTDIR)/usr/share/man/man8/tdbbackup.tdbtools.8

override_dh_strip:
	dh_strip -p libtdb1 --dbg-package=libtdb1-dbg
	dh_strip -p python-tdb --dbg-package=python-tdb-dbg
	dh_strip -p tdb-tools

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

## tdb 1.2.10

=== buildtools/wafsamba/wscript ===
#!/usr/bin/env python

# this is a base set of waf rules that everything else pulls in first

import sys, wafsamba, Configure, Logs
import Options, os, preproc
from samba_utils import *
from optparse import SUPPRESS_HELP

# this forces configure to be re-run if any of the configure
# sections of the build scripts change. We have to check
# for this in sys.argv as options have not yet been parsed when
# we need to set this. This is off by default until some issues
# are resolved related to WAFCACHE. It will need a lot of testing
# before it is enabled by default.
if '--enable-auto-reconfigure' in sys.argv:
    Configure.autoconfig = True

def set_options(opt):
    opt.tool_options('compiler_cc')

    opt.tool_options('gnu_dirs')

    gr = opt.option_group('library handling options')

    gr.add_option('--bundled-libraries',
                   help=("comma separated list of bundled libraries. May include !LIBNAME to disable bundling a library. Can be 'NONE' or 'ALL' [auto]"),
                   action="store", dest='BUNDLED_LIBS', default='')

    extension_default = Options.options['PRIVATE_EXTENSION_DEFAULT']
    gr.add_option('--private-library-extension',
                   help=("name extension for private libraries [%s]" % extension_default),
                   action="store", dest='PRIVATE_EXTENSION', default=extension_default)

    extension_exception = Options.options['PRIVATE_EXTENSION_EXCEPTION']
    gr.add_option('--private-extension-exception',
                   help=("comma separated list of libraries to not apply extension to [%s]" % extension_exception),
                   action="store", dest='PRIVATE_EXTENSION_EXCEPTION', default=extension_exception)

    builtin_defauilt = Options.options['BUILTIN_LIBRARIES_DEFAULT']
    gr.add_option('--builtin-libraries',
                   help=("command separated list of libraries to build directly into binaries [%s]" % builtin_defauilt),
                   action="store", dest='BUILTIN_LIBRARIES', default=builtin_defauilt)

    gr.add_option('--minimum-library-version',
                   help=("list of minimum system library versions (LIBNAME1:version,LIBNAME2:version)"),
                   action="store", dest='MINIMUM_LIBRARY_VERSION', default='')

    gr.add_option('--disable-shared',
                   help=("Disable all use of shared libraries"),
                   action="store_true", dest='disable_shared', default=False)
    gr.add_option('--disable-rpath',
                   help=("Disable use of rpath for build binaries"),
                   action="store_true", dest='disable_rpath_build', default=False)
    gr.add_option('--disable-rpath-install',
                   help=("Disable use of rpath for library path in installed files"),
                   action="store_true", dest='disable_rpath_install', default=False)
    gr.add_option('--disable-rpath-private-install',
                   help=("Disable use of rpath for private library path in installed files"),
                   action="store_true", dest='disable_rpath_private_install', default=False)
    gr.add_option('--nonshared-binary',
                   help=("Disable use of shared libs for the listed binaries"),
                   action="store", dest='NONSHARED_BINARIES', default='')
    gr.add_option('--disable-symbol-versions',
                   help=("Disable use of the --version-script linker option"),
                   action="store_true", dest='disable_symbol_versions', default=False)

    opt.add_option('--with-modulesdir',
                   help=("modules directory [PREFIX/modules]"),
                   action="store", dest='MODULESDIR', default='${PREFIX}/modules')

    opt.add_option('--with-privatelibdir',
                   help=("private library directory [PREFIX/lib/%s]" % Utils.g_module.APPNAME),
                   action="store", dest='PRIVATELIBDIR', default=None)

    gr = opt.option_group('developer options')

    gr.add_option('-C',
                   help='enable configure cacheing',
                   action='store_true', dest='enable_configure_cache')
    gr.add_option('--enable-auto-reconfigure',
                   help='enable automatic reconfigure on build',
                   action='store_true', dest='enable_auto_reconfigure')
    gr.add_option('--enable-developer',
                   help=("Turn on developer warnings and debugging"),
                   action="store_true", dest='developer', default=False)
    gr.add_option('--picky-developer',
                   help=("Treat all warnings as errors (enable -Werror)"),
                   action="store_true", dest='picky_developer', default=False)
    gr.add_option('--fatal-errors',
                   help=("Stop compilation on first error (enable -Wfatal-errors)"),
                   action="store_true", dest='fatal_errors', default=False)
    gr.add_option('--enable-gccdeps',
                   help=("Enable use of gcc -MD dependency module"),
                   action="store_true", dest='enable_gccdeps', default=True)
    gr.add_option('--timestamp-dependencies',
                   help=("use file timestamps instead of content for build dependencies (BROKEN)"),
                   action="store_true", dest='timestamp_dependencies', default=False)
    gr.add_option('--pedantic',
		   help=("Enable even more compiler warnings"),
		   action='store_true', dest='pedantic', default=False)
    gr.add_option('--git-local-changes',
		   help=("mark version with + if local git changes"),
		   action='store_true', dest='GIT_LOCAL_CHANGES', default=False)

    gr.add_option('--abi-check',
		   help=("Check ABI signatures for libraries"),
		   action='store_true', dest='ABI_CHECK', default=False)
    gr.add_option('--abi-check-disable',
		   help=("Disable ABI checking (used with --enable-developer)"),
		   action='store_true', dest='ABI_CHECK_DISABLE', default=False)
    gr.add_option('--abi-update',
		   help=("Update ABI signature files for libraries"),
		   action='store_true', dest='ABI_UPDATE', default=False)

    gr.add_option('--show-deps',
		   help=("Show dependency tree for the given target"),
		   dest='SHOWDEPS', default='')

    gr.add_option('--symbol-check',
                  help=("check symbols in object files against project rules"),
                  action='store_true', dest='SYMBOLCHECK', default=False)

    gr.add_option('--dup-symbol-check',
                  help=("check for duplicate symbols in object files and system libs (must be configured with --enable-developer)"),
                  action='store_true', dest='DUP_SYMBOLCHECK', default=False)

    gr.add_option('--why-needed',
                  help=("TARGET:DEPENDENCY check why TARGET needs DEPENDENCY"),
                  action='store', type='str', dest='WHYNEEDED', default=None)

    gr.add_option('--show-duplicates',
                  help=("Show objects which are included in multiple binaries or libraries"),
                  action='store_true', dest='SHOW_DUPLICATES', default=False)

    gr = opt.add_option_group('cross compilation options')

    gr.add_option('--cross-compile',
		   help=("configure for cross-compilation"),
		   action='store_true', dest='CROSS_COMPILE', default=False)
    gr.add_option('--cross-execute',
		   help=("command prefix to use for cross-execution in configure"),
		   action='store', dest='CROSS_EXECUTE', default='')
    gr.add_option('--cross-answers',
		   help=("answers to cross-compilation configuration (auto modified)"),
		   action='store', dest='CROSS_ANSWERS', default='')
    gr.add_option('--hostcc',
		   help=("set host compiler when cross compiling"),
		   action='store', dest='HOSTCC', default=False)

    # we use SUPPRESS_HELP for these, as they are ignored, and are there only
    # to allow existing RPM spec files to work
    opt.add_option('--build',
		   help=SUPPRESS_HELP,
		   action='store', dest='AUTOCONF_BUILD', default='')
    opt.add_option('--host',
		   help=SUPPRESS_HELP,
		   action='store', dest='AUTOCONF_HOST', default='')
    opt.add_option('--target',
		   help=SUPPRESS_HELP,
		   action='store', dest='AUTOCONF_TARGET', default='')
    opt.add_option('--program-prefix',
		   help=SUPPRESS_HELP,
		   action='store', dest='AUTOCONF_PROGRAM_PREFIX', default='')
    opt.add_option('--disable-dependency-tracking',
		   help=SUPPRESS_HELP,
		   action='store_true', dest='AUTOCONF_DISABLE_DEPENDENCY_TRACKING', default=False)
    opt.add_option('--disable-silent-rules',
		   help=SUPPRESS_HELP,
		   action='store_true', dest='AUTOCONF_DISABLE_SILENT_RULES', default=False)

    gr = opt.option_group('dist options')
    gr.add_option('--sign-release',
                   help='sign the release tarball created by waf dist',
                   action='store_true', dest='SIGN_RELEASE')
    gr.add_option('--tag',
                   help='tag release in git at the same time',
                   type='string', action='store', dest='TAG_RELEASE')


@wafsamba.runonce
def configure(conf):
    conf.env.hlist = []
    conf.env.srcdir = conf.srcdir

    if Options.options.timestamp_dependencies:
        conf.ENABLE_TIMESTAMP_DEPENDENCIES()

    conf.SETUP_CONFIGURE_CACHE(Options.options.enable_configure_cache)

    # load our local waf extensions
    conf.check_tool('gnu_dirs')
    conf.check_tool('wafsamba')

    conf.CHECK_CC_ENV()

    conf.check_tool('compiler_cc')

    # we need git for 'waf dist'
    conf.find_program('git', var='GIT')

    # older gcc versions (< 4.4) does not work with gccdeps, so we have to see if the .d file is generated
    if Options.options.enable_gccdeps:
        from TaskGen import feature, after
        @feature('testd')
        @after('apply_core')
        def check_d(self):
            tsk = self.compiled_tasks[0]
            tsk.outputs.append(tsk.outputs[0].change_ext('.d'))

        import Task
        cc = Task.TaskBase.classes['cc']
        oldmeth = cc.run

        cc.run = Task.compile_fun_noshell('cc', '${CC} ${CCFLAGS} ${CPPFLAGS} ${_CCINCFLAGS} ${_CCDEFFLAGS} ${CC_SRC_F}${SRC} ${CC_TGT_F}${TGT[0].abspath(env)}')[0]
        try:
            try:
                conf.check(features='cc testd', fragment='int main() {return 0;}\n', ccflags=['-MD'], mandatory=True, msg='Check for -MD')
            except:
                pass
            else:
                conf.check_tool('gccdeps', tooldir=conf.srcdir + "/buildtools/wafsamba")
        finally:
            cc.run = oldmeth

    # make the install paths available in environment
    conf.env.LIBDIR = Options.options.LIBDIR or '${PREFIX}/lib'
    conf.env.BINDIR = Options.options.BINDIR or '${PREFIX}/bin'
    conf.env.SBINDIR = Options.options.SBINDIR or '${PREFIX}/sbin'
    conf.env.MODULESDIR = Options.options.MODULESDIR
    conf.env.PRIVATELIBDIR = Options.options.PRIVATELIBDIR
    conf.env.BUNDLED_LIBS = Options.options.BUNDLED_LIBS.split(',')
    conf.env.BUILTIN_LIBRARIES = Options.options.BUILTIN_LIBRARIES.split(',')
    conf.env.DISABLE_SHARED = Options.options.disable_shared
    conf.env.NONSHARED_BINARIES = Options.options.NONSHARED_BINARIES.split(',')

    conf.env.PRIVATE_EXTENSION = Options.options.PRIVATE_EXTENSION
    conf.env.PRIVATE_EXTENSION_EXCEPTION = Options.options.PRIVATE_EXTENSION_EXCEPTION.split(',')

    conf.env.CROSS_COMPILE = Options.options.CROSS_COMPILE
    conf.env.CROSS_EXECUTE = Options.options.CROSS_EXECUTE
    conf.env.CROSS_ANSWERS = Options.options.CROSS_ANSWERS
    conf.env.HOSTCC        = Options.options.HOSTCC

    conf.env.AUTOCONF_BUILD = Options.options.AUTOCONF_BUILD
    conf.env.AUTOCONF_HOST  = Options.options.AUTOCONF_HOST
    conf.env.AUTOCONF_PROGRAM_PREFIX = Options.options.AUTOCONF_PROGRAM_PREFIX

    if (conf.env.AUTOCONF_HOST and
        conf.env.AUTOCONF_BUILD and
        conf.env.AUTOCONF_BUILD != conf.env.AUTOCONF_HOST):
        Logs.error('ERROR: Mismatch between --build and --host. Please use --cross-compile instead')
        sys.exit(1)
    if conf.env.AUTOCONF_PROGRAM_PREFIX:

=== lib/replace/wscript ===
#!/usr/bin/env python

APPNAME = 'libreplace'
VERSION = '1.2.1'

blddir = 'bin'

import sys, os, Utils

# find the buildtools directory
srcdir = '.'
while not os.path.exists(srcdir+'/buildtools') and len(srcdir.split('/')) < 5:
    srcdir = '../' + srcdir
sys.path.insert(0, srcdir + '/buildtools/wafsamba')

import wafsamba, samba_dist
import Options, os, preproc

samba_dist.DIST_DIRS('lib/replace buildtools:buildtools')

def set_options(opt):
    opt.BUILTIN_DEFAULT('NONE')
    opt.PRIVATE_EXTENSION_DEFAULT('')
    opt.RECURSE('buildtools/wafsamba')

@wafsamba.runonce
def configure(conf):
    conf.RECURSE('buildtools/wafsamba')

    conf.env.standalone_replace = conf.IN_LAUNCH_DIR()

    conf.DEFINE('HAVE_LIBREPLACE', 1)
    conf.DEFINE('LIBREPLACE_NETWORK_CHECKS', 1)

    # on Tru64 certain features are only available with _OSF_SOURCE set to 1
    # and _XOPEN_SOURCE set to 600
    if conf.env['SYSTEM_UNAME_SYSNAME'] == 'OSF1':
        conf.DEFINE('_OSF_SOURCE', 1, add_to_cflags=True)
        conf.DEFINE('_XOPEN_SOURCE', 600, add_to_cflags=True)

    conf.CHECK_HEADERS('linux/types.h crypt.h locale.h acl/libacl.h compat.h')
    conf.CHECK_HEADERS('acl/libacl.h attr/xattr.h compat.h ctype.h dustat.h')
    conf.CHECK_HEADERS('fcntl.h fnmatch.h glob.h history.h krb5.h langinfo.h')
    conf.CHECK_HEADERS('libaio.h locale.h ndir.h pwd.h')
    conf.CHECK_HEADERS('shadow.h sys/acl.h')
    conf.CHECK_HEADERS('sys/attributes.h sys/capability.h sys/dir.h sys/epoll.h')
    conf.CHECK_HEADERS('sys/fcntl.h sys/filio.h sys/filsys.h sys/fs/s5param.h sys/fs/vx/quota.h')
    conf.CHECK_HEADERS('sys/id.h sys/ioctl.h sys/ipc.h sys/mman.h sys/mode.h sys/ndir.h sys/priv.h')
    conf.CHECK_HEADERS('sys/resource.h sys/security.h sys/shm.h sys/statfs.h sys/statvfs.h sys/termio.h')
    conf.CHECK_HEADERS('sys/vfs.h sys/xattr.h termio.h termios.h sys/file.h')
    conf.CHECK_HEADERS('sys/wait.h sys/stat.h malloc.h grp.h')
    conf.CHECK_HEADERS('sys/select.h setjmp.h utime.h sys/syslog.h syslog.h')
    conf.CHECK_HEADERS('stdarg.h vararg.h sys/mount.h mntent.h')
    conf.CHECK_HEADERS('stropts.h unix.h string.h strings.h sys/param.h limits.h')
    conf.CHECK_HEADERS('''sys/socket.h netinet/in.h netdb.h arpa/inet.h netinet/in_systm.h
                          netinet/ip.h netinet/tcp.h netinet/in_ip.h
                          sys/sockio.h sys/un.h''', together=True)
    conf.CHECK_HEADERS('sys/uio.h ifaddrs.h direct.h dirent.h')
    conf.CHECK_HEADERS('windows.h winsock2.h ws2tcpip.h')
    conf.CHECK_HEADERS('libintl.h errno.h')
    conf.CHECK_HEADERS('gcrypt.h getopt.h iconv.h')
    conf.CHECK_HEADERS('sys/inotify.h memory.h nss.h sasl/sasl.h')
    conf.CHECK_HEADERS('security/pam_appl.h sys/inotify.h zlib.h asm/unistd.h')
    conf.CHECK_HEADERS('aio.h sys/unistd.h rpc/rpc.h rpc/nettype.h alloca.h float.h')

    conf.CHECK_HEADERS('rpcsvc/nis.h rpcsvc/ypclnt.h sys/prctl.h sys/sysctl.h')
    conf.CHECK_HEADERS('sys/fileio.h sys/filesys.h sys/dustat.h sys/sysmacros.h')
    conf.CHECK_HEADERS('xfs/libxfs.h netgroup.h rpcsvc/yp_prot.h')
    conf.CHECK_HEADERS('valgrind.h valgrind/valgrind.h valgrind/memcheck.h')
    conf.CHECK_HEADERS('nss_common.h nsswitch.h ns_api.h')
    conf.CHECK_HEADERS('sys/extattr.h sys/ea.h sys/proplist.h sys/cdefs.h')
    conf.CHECK_HEADERS('utmp.h utmpx.h lastlog.h malloc.h')
    conf.CHECK_HEADERS('syscall.h sys/syscall.h inttypes.h')

    conf.CHECK_TYPES('"long long" intptr_t uintptr_t ptrdiff_t comparison_fn_t')
    conf.CHECK_TYPE('_Bool', define='HAVE__Bool')
    conf.CHECK_TYPE('bool', define='HAVE_BOOL')

    conf.CHECK_TYPE('int8_t', 'char')
    conf.CHECK_TYPE('uint8_t', 'unsigned char')
    conf.CHECK_TYPE('int16_t', 'short')
    conf.CHECK_TYPE('uint16_t', 'unsigned short')
    conf.CHECK_TYPE('int32_t', 'int')
    conf.CHECK_TYPE('uint32_t', 'unsigned')
    conf.CHECK_TYPE('int64_t', 'long long')
    conf.CHECK_TYPE('uint64_t', 'unsigned long long')
    conf.CHECK_TYPE('size_t', 'unsigned int')
    conf.CHECK_TYPE('ssize_t', 'int')
    conf.CHECK_TYPE('ino_t', 'unsigned')
    conf.CHECK_TYPE('loff_t', 'off_t')
    conf.CHECK_TYPE('offset_t', 'loff_t')
    conf.CHECK_TYPE('volatile int', define='HAVE_VOLATILE')
    conf.CHECK_TYPE('uint_t', 'unsigned int')

    conf.CHECK_SIZEOF('bool char int "long long" long short size_t ssize_t')
    conf.CHECK_SIZEOF('int8_t uint8_t int16_t uint16_t int32_t uint32_t int64_t uint64_t')
    conf.CHECK_SIZEOF('void*', define='SIZEOF_VOID_P')
    conf.CHECK_SIZEOF('off_t dev_t ino_t time_t')

    conf.CHECK_TYPES('socklen_t', headers='sys/socket.h')
    conf.CHECK_TYPE_IN('struct ifaddrs', 'ifaddrs.h')
    conf.CHECK_TYPE_IN('struct addrinfo', 'netdb.h')
    conf.CHECK_TYPE_IN('struct sockaddr', 'sys/socket.h')
    conf.CHECK_CODE('struct sockaddr_in6 x', define='HAVE_STRUCT_SOCKADDR_IN6',
                    headers='sys/socket.h netdb.h netinet/in.h')
    conf.CHECK_TYPE_IN('struct sockaddr_storage', 'sys/socket.h')
    conf.CHECK_TYPE_IN('sa_family_t', 'sys/socket.h')

    conf.CHECK_TYPE_IN('sig_atomic_t', 'signal.h', define='HAVE_SIG_ATOMIC_T_TYPE')

    conf.CHECK_FUNCS_IN('''inet_ntoa inet_aton inet_ntop inet_pton connect gethostbyname
                           getaddrinfo getnameinfo freeaddrinfo gai_strerror socketpair''',
                        'socket nsl', checklibc=True,
                        headers='sys/socket.h netinet/in.h arpa/inet.h netdb.h')

    # Some old Linux systems have broken header files and
    # miss the IPV6_V6ONLY define in netinet/in.h,
    # but have it in linux/in6.h.
    # We can't include both files so we just check if the value
    # if defined and do the replacement in system/network.h
    if not conf.CHECK_VARIABLE('IPV6_V6ONLY',
                               headers='sys/socket.h netdb.h netinet/in.h'):
        conf.CHECK_CODE('''
                        #include <linux/in6.h>
                        #if (IPV6_V6ONLY != 26)
                        #error no IPV6_V6ONLY support on linux
                        #endif
                        int main(void) { return IPV6_V6ONLY; }
                        ''',
                        define='HAVE_LINUX_IPV6_V6ONLY_26',
                        addmain=False,
                        msg='Checking for IPV6_V6ONLY in linux/in6.h',
                        local_include=False)

    conf.CHECK_CODE('''
                       struct sockaddr_storage sa_store;
                       struct addrinfo *ai = NULL;
                       struct in6_addr in6addr;
                       int idx = if_nametoindex("iface1");
                       int s = socket(AF_INET6, SOCK_STREAM, 0);
                       int ret = getaddrinfo(NULL, NULL, NULL, &ai);
                       if (ret != 0) {
                           const char *es = gai_strerror(ret);
                       }
                       freeaddrinfo(ai);
                       {
                          int val = 1;
                          #ifdef HAVE_LINUX_IPV6_V6ONLY_26
                          #define IPV6_V6ONLY 26
                          #endif
                          ret = setsockopt(s, IPPROTO_IPV6, IPV6_V6ONLY,
                                           (const void *)&val, sizeof(val));
                       }
                       ''',
                    define='HAVE_IPV6',
                    lib='nsl socket',
                    headers='sys/socket.h netdb.h netinet/in.h')

    # these may be builtins, so we need the link=False strategy
    conf.CHECK_FUNCS('strdup memmem printf memset memcpy memmove strcpy strncpy bzero', link=False)

    conf.CHECK_FUNCS('shl_load shl_unload shl_findsym')
    conf.CHECK_FUNCS('pipe strftime srandom random srand rand usleep setbuffer')
    conf.CHECK_FUNCS('lstat getpgrp utime utimes seteuid setreuid setresuid setegid')
    conf.CHECK_FUNCS('setregid setresgid chroot strerror vsyslog setlinebuf mktime')
    conf.CHECK_FUNCS('ftruncate chsize rename waitpid wait4')
    conf.CHECK_FUNCS('initgroups pread pwrite strndup strcasestr')
    conf.CHECK_FUNCS('strtok_r mkdtemp dup2 dprintf vdprintf isatty chown lchown')
    conf.CHECK_FUNCS('link readlink symlink realpath snprintf vsnprintf')
    conf.CHECK_FUNCS('asprintf vasprintf setenv unsetenv strnlen strtoull __strtoull')
    conf.CHECK_FUNCS('strtouq strtoll __strtoll strtoq memalign posix_memalign')

    # libbsd on some platforms provides strlcpy and strlcat
    if not conf.CHECK_FUNCS('strlcpy strlcat'):
        conf.CHECK_FUNCS_IN('strlcpy strlcat', 'bsd', headers='bsd/string.h',
                checklibc=True)
    if not conf.CHECK_FUNCS('getpeereid'):
        conf.CHECK_FUNCS_IN('getpeereid', 'bsd', headers='sys/types.h bsd/unistd.h')

    conf.CHECK_CODE('''
                struct ucred cred;
                socklen_t cred_len;
                int ret = getsockopt(0, SOL_SOCKET, SO_PEERCRED, &cred, &cred_len);''',
                'HAVE_PEERCRED',
                msg="Checking whether we can use SO_PEERCRED to get socket credentials",
                headers='sys/types.h sys/socket.h')

    #Some OS (ie. freebsd) return EINVAL if the convertion could not be done, it's not what we expect
    #Let's detect those cases
    if conf.CONFIG_SET('HAVE_STRTOLL'):
        conf.CHECK_CODE('''
                        long long nb = strtoll("Text", NULL, 0);
                        if (errno == EINVAL) {
                            return 0;
                        } else {
                            return 1;
                        }
                        ''',
                        msg="Checking correct behavior of strtoll",
                        headers = 'errno.h',
                        execute = True,
                        define_ret = True,
                        define = 'HAVE_BSD_STRTOLL',
                        )
    conf.CHECK_FUNCS('if_nametoindex strerror_r')
    conf.CHECK_FUNCS('getdirentries getdents syslog')
    conf.CHECK_FUNCS('gai_strerror get_current_dir_name')
    conf.CHECK_FUNCS('timegm getifaddrs freeifaddrs mmap setgroups setsid')
    conf.CHECK_FUNCS('getgrent_r getgrgid_r getgrnam_r getgrouplist getpagesize')
    conf.CHECK_FUNCS('getpwent_r getpwnam_r getpwuid_r epoll_create')

    conf.CHECK_FUNCS_IN('dlopen dlsym dlerror dlclose', 'dl',
                        checklibc=True, headers='dlfcn.h dl.h')

    conf.CHECK_C_PROTOTYPE('dlopen', 'void *dlopen(const char* filename, unsigned int flags)',
                           define='DLOPEN_TAKES_UNSIGNED_FLAGS', headers='dlfcn.h dl.h')

    if conf.CHECK_FUNCS_IN('fdatasync', 'rt', checklibc=True):
        # some systems are missing the declaration
        conf.CHECK_DECLS('fdatasync')

    if conf.CHECK_FUNCS_IN('clock_gettime', 'rt', checklibc=True):
        for c in ['CLOCK_MONOTONIC', 'CLOCK_PROCESS_CPUTIME_ID', 'CLOCK_REALTIME']:
            conf.CHECK_CODE('''
                #if TIME_WITH_SYS_TIME
                # include <sys/time.h>
                # include <time.h>
                #else
                # if HAVE_SYS_TIME_H
                #  include <sys/time.h>
                # else
                #  include <time.h>
                # endif
                #endif
                clockid_t clk = %s''' % c,
                'HAVE_%s' % c,
                msg='Checking whether the clock_gettime clock ID %s is available' % c)

    conf.CHECK_TYPE('struct timespec', headers='sys/time.h time.h')

    # these headers need to be tested as a group on freebsd
    conf.CHECK_HEADERS(headers='sys/socket.h net/if.h', together=True)
    conf.CHECK_HEADERS(headers='netinet/in.h arpa/nameser.h resolv.h', together=True)
    conf.CHECK_FUNCS_IN('res_search', 'resolv', checklibc=True,
                        headers='netinet/in.h arpa/nameser.h resolv.h')


    if not conf.CHECK_FUNCS_IN('gettext', 'intl', checklibc=True, headers='libintl.h'):
    # Some hosts need lib iconv for linking with lib intl
    # So we try with flags just in case it helps.
        oldflags = conf.env['LDFLAGS_INTL']

=== debian/changelog ===
tdb (1.2.10-2ubuntu1) raring; urgency=low

  * Fix FTBFS: use shebang for python2.x-config instead of assuming that it is
    a Python script (LP: #1108983). 

 -- Robie Basak <robie.basak@canonical.com>  Tue, 29 Jan 2013 15:34:41 +0000

tdb (1.2.10-2) unstable; urgency=high

  [ Ivo De Decker ]
  * Make transaction-expand test non-fatal. Fixes FTBFS. Closes: #674749
  * Fix version in symbols file to make lintian happy.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 28 May 2012 00:16:23 +0200

tdb (1.2.10-1.1) unstable; urgency=high

  * Fix version in symbols file to make lintian happy.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sun, 27 May 2012 12:55:11 +0200

tdb (1.2.10-1) unstable; urgency=low

  * debian/rules: Remove unnecessary clean: target.
  * Properly clean up after building.
  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 11 Apr 2012 15:46:13 +0200

tdb (1.2.9+git20120207-2) unstable; urgency=low

  * Bump standards version to 3.9.3 (no changes).
  * Use parseable format for copyright file.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 28 Feb 2012 15:45:33 +0100

tdb (1.2.9+git20120207-1) unstable; urgency=low

  * New upstream snapshot.
   + Unpacks waf sourcecode. Closes: #654509
   + Fixes build issues when IOV_MAX is not available, as is
     the case on Hurd systems. Closes: #657021

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 07 Feb 2012 14:38:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: tdb
 Section: devel
 Priority: optional
-Maintainer: Jelmer Vernooij <jelmer@debian.org>
-Build-Depends: debhelper (>= 8),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jelmer Vernooij <jelmer@debian.org>
+Build-Depends: debhelper (>= 8.1.3),
                docbook-xml,
                docbook-xsl,
                python-all-dbg (>= 2.6.6-3),
                python-all-dev (>= 2.6.6-3),
                xsltproc
 Homepage: http://tdb.samba.org/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Bzr: http://bzr.debian.org/pkg-samba/tdb/unstable
 
 Package: libtdb1

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 LDFLAGS += -Wl,--as-needed
 
 DESTDIR=$(CURDIR)/debian/tmp
-export PYTHON="$(shell which `pyversions -d`)"
+export PYTHON=$(shell which `pyversions -d`)
 export PYTHON_CONFIG=$(PYTHON)-config
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
@@ -23,7 +23,7 @@
 override_dh_auto_configure:
 	PYTHON="$(PYTHON)" PYTHON_CONFIG="$(PYTHON_CONFIG)" CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --disable-rpath-install --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 
-get-orig-source:
+get-packaged-orig-source:
 	./debian/build-orig.sh
 
 override_dh_python2:
@@ -38,18 +38,22 @@
 endif
 
 override_dh_auto_clean:
-clean:
-	rm -f build-stamp configure-stamp
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -rf build
-	rm -f buildtools/wafsamba/*.pyc
-	rm -rf buildtools/bin/.waf*
+	# Waf should be doing this; see
+	# https://bugzilla.samba.org/show_bug.cgi?id=8854
+	rm -f .lock-wscript
+	# Waf should be doing this; see
+	# https://bugzilla.samba.org/show_bug.cgi?id=8855
+	rm -f buildtools/wafsamba/*.pyc \
+		  buildtools/wafadmin/*.pyc \
+		  buildtools/wafadmin/Tools/*.pyc
 
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=$(DESTDIR)
 	# Waf should be doing this..
 	ar cr libtdb.a bin/default/common/*.o
-	cp libtdb.a $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)
+	mv libtdb.a $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)
 	mv $(DESTDIR)/usr/bin/tdbbackup \
 		$(DESTDIR)/usr/bin/tdbbackup.tdbtools
 	mv $(DESTDIR)//usr/share/man/man8/tdbbackup.8 \

## tdb 1.2.11

=== debian/changelog ===
tdb (1.2.11-2.1) experimental; urgency=low

  * Non-maintainer upload with maintainer's agreement.
  * New upstream release.
   + Add 08_waf_python_config to cope with python-config no longer
     being a script.
   + Adapt 40_test_transaction_expand_non_fatal.diff after conflicts

 -- Andrew Bartlett <abartlet@samba.org>  Tue, 12 Feb 2013 20:43:55 +1100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: tdb
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jelmer Vernooij <jelmer@debian.org>
+Maintainer: Jelmer Vernooij <jelmer@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                docbook-xml,
                docbook-xsl,
@@ -11,7 +10,7 @@
                xsltproc
 Homepage: http://tdb.samba.org/
 Standards-Version: 3.9.3
-Vcs-Bzr: http://bzr.debian.org/pkg-samba/tdb/unstable
+Vcs-Git: git://git.debian.org/pkg-samba/tdb.git
 
 Package: libtdb1
 Pre-Depends: ${misc:Pre-Depends}

## tdb 1.2.12

=== debian/changelog ===
tdb (1.2.12-1) unstable; urgency=low

  [ Andrew Bartlett ]
  * New upstream release.
   + Drop 08_waf_python_config integrated upstream.
   + Fixes two FTBFS bugs. Closes: #710342, #713098

  [ Jelmer Vernooij ]
  * Migrate to Git.
  * Bump standards version to 3.9.4.
  * Fix duplicate line in copyright file.
  * Use dpkg-buildflags, enabling hardening.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 11 Aug 2013 13:37:12 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python-all-dev (>= 2.6.6-3),
                xsltproc
 Homepage: http://tdb.samba.org/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/pkg-samba/tdb.git
 
 Package: libtdb1

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,12 @@
 #!/usr/bin/make -f
 
-CFLAGS = -g -Wall
-SHLD_FLAGS = -shared -Wl,--as-needed
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-CFLAGS += -O0
-else
-CFLAGS += -O2
-endif
-
-LDFLAGS += -Wl,--as-needed
+CFLAGS += -g -Wall
+SHLD_FLAGS += -shared -Wl,--as-needed
 
 DESTDIR=$(CURDIR)/debian/tmp
 export PYTHON=$(shell which `pyversions -d`)
@@ -21,7 +18,8 @@
 	dh $* --with python2
 
 override_dh_auto_configure:
-	PYTHON="$(PYTHON)" PYTHON_CONFIG="$(PYTHON_CONFIG)" CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --disable-rpath-install --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
+	PYTHON="$(PYTHON)" PYTHON_CONFIG="$(PYTHON_CONFIG)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
+		   ./configure --prefix=/usr --disable-rpath-install --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 
 get-packaged-orig-source:
 	./debian/build-orig.sh

=== debian/watch ===
version=3
http://ftp.samba.org/pub/tdb tdb-(.+).tar.gz

## tdb 1.3.0

=== debian/changelog ===
tdb (1.3.0-1.1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Wed, 20 Aug 2014 21:32:34 +0200

tdb (1.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-pick patch from upstream bug #10625 to fix FTBFS of
    reverse-build-deps which include <tdb.h> due to missing <stdbool.h>
    include. (Closes: #750572)

 -- Iain Lane <laney@debian.org>  Wed, 04 Jun 2014 16:10:40 +0100

tdb (1.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 02 Jun 2014 01:17:31 +0200

tdb (1.2.13-4) unstable; urgency=medium

  * Fix libtdb-dev architecture to not build on hurd.
  * Stop autopkgtest depending on build.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 25 May 2014 16:54:35 +0200

tdb (1.2.13-3) unstable; urgency=medium

  * Only build on linux-any and kfreebsd-any, since the Hurd does not
    yet support byte range locking (bug #190367).

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 24 May 2014 03:51:19 +0200

tdb (1.2.13-2) unstable; urgency=medium

  * Allow output on standard error from python testsuite.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 21 Apr 2014 14:46:36 +0200

tdb (1.2.13-1) unstable; urgency=low

  * New upstream release.
  * Add basic autopkgtest for running python tests.
  * Change maintainer to Samba Debian maintainers, move myself to uploaders.
  * Bump standards version to 3.9.5 (no changes).
  * Fix --as-needed with waf.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 20 Aug 2013 01:04:01 +0000

tdb (1.2.12-1~bpo70+1) wheezy-backports; urgency=low

  * Backport to wheezy.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 17 Nov 2013 14:27:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tdb
 Section: devel
 Priority: optional
-Maintainer: Jelmer Vernooij <jelmer@debian.org>
+Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
+Uploaders: Jelmer Vernooij <jelmer@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                docbook-xml,
                docbook-xsl,
@@ -9,13 +10,14 @@
                python-all-dev (>= 2.6.6-3),
                xsltproc
 Homepage: http://tdb.samba.org/
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/pkg-samba/tdb.git
+XS-Testsuite: autopkgtest
 
 Package: libtdb1
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Trivial Database - shared library
@@ -27,7 +29,7 @@
 
 Package: tdb-tools
 Section: utils
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Trivial Database - bundled binaries
  This is a simple database API. It is modelled after the structure
@@ -41,7 +43,7 @@
 Replaces: tdb-dev (<< 1.2.0-1)
 Conflicts: tdb-dev (<< 1.2.0-1)
 Section: libdevel
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Depends: libc6-dev, libtdb1 (= ${binary:Version}), ${misc:Depends}
 Description: Trivial Database - development files
  This is a simple database API. It is modelled after the structure
@@ -52,7 +54,7 @@
 
 Package: libtdb1-dbg
 Section: debug
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Priority: extra
 Depends: libtdb1 (= ${binary:Version}), ${misc:Depends}
 Recommends: libc6-dbg
@@ -65,7 +67,7 @@
 
 Package: python-tdb
 Section: python
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Depends: libtdb1 (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
@@ -80,7 +82,7 @@
 
 Package: python-tdb-dbg
 Section: debug
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Priority: extra
 Depends: python-tdb (= ${binary:Version}),
          ${misc:Depends},
